%global momorel 1 

%if %{?WITH_SELINUX:0}%{!?WITH_SELINUX:1}
%define WITH_SELINUX 1
%endif

Summary: Graphical tools for certain user account management tasks.
Name: usermode
Version: 1.92
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Requires: util-linux, pam >= 0.75
Conflicts: SysVinit < 2.74-14
%if %{WITH_SELINUX}
BuildRequires: libselinux-devel >= 1.17.13-2
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: glib-devel, gtk+-devel, libglade-devel, libuser-devel
BuildPrereq: pam-devel >= 0.75, util-linux
BuildPrereq: desktop-file-utils
BuildPrereq: libselinux-devel >= 1.17.13
BuildPrereq: libwnck >= 2.12.1

%package gtk
Summary: Graphical tools for certain user account management tasks.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-x11
Provides: %{name}-x11

%description
The usermode package contains several graphical tools for users:
userinfo, usermount and userpasswd.  Userinfo allows users to change
their finger information.  Usermount lets users mount, unmount, and
format filesystems.  Userpasswd allows users to change their
passwords.

Install the usermode package if you would like to provide users with
graphical tools for certain account management tasks.

%description gtk
The usermode-gtk package contains several graphical tools for users:
userinfo, usermount and userpasswd.  Userinfo allows users to change
their finger information.  Usermount lets users mount, unmount, and
format filesystems.  Userpasswd allows users to change their
passwords.

Install the usermode-gtk package if you would like to provide users with
graphical tools for certain account management tasks.

%prep
%setup -q

%build
%configure \
%if %{WITH_SELINUX}
	--with-selinux
%endif

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# We set up the shutdown programs to be wrapped in this package.  Other
# packages are on their own....
mkdir -p %{buildroot}%{_sysconfdir}/pam.d %{buildroot}%{_sysconfdir}/security/console.apps
for wrappedapp in halt reboot poweroff ; do
        ln -s consolehelper %{buildroot}%{_bindir}/${wrappedapp}
        install -m644 $wrappedapp %{buildroot}%{_sysconfdir}/security/console.apps/${wrappedapp}
        cp shutdown.pamd %{buildroot}%{_sysconfdir}/pam.d/${wrappedapp}
done
rm -f %{buildroot}%{_bindir}/shutdown

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(4711,root,root) %{_sbindir}/userhelper
%{_bindir}/consolehelper
%{_datadir}/locale/*/LC_MESSAGES/usermode.mo
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*
# PAM console wrappers
%{_bindir}/halt
%{_bindir}/reboot
%{_bindir}/poweroff
%config(noreplace) /etc/pam.d/halt
%config(noreplace) /etc/pam.d/reboot
%config(noreplace) /etc/pam.d/poweroff
%config /etc/security/console.apps/halt
%config /etc/security/console.apps/reboot
%config /etc/security/console.apps/poweroff

%files gtk
%defattr(-,root,root)
%{_bindir}/usermount
%{_mandir}/man1/usermount.1*
%{_bindir}/userinfo
%{_mandir}/man1/userinfo.1*
%{_bindir}/userpasswd
%{_mandir}/man1/userpasswd.1*
%{_bindir}/consolehelper-gtk
%{_bindir}/pam-panel-icon
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Mon Jun 18 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.92-1m)
- rebuild against pam-0.99.7-1m
- update to 1.92

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.74-4m)
- add patch1 (desktop-file-utils)
-- remove-category AdvancedSettings Application X-Red-Hat-Base

* Mon Nov 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.74-3m)
- rebuild against libwnck-2.12.1-1m
- add usermode-1.74-intltoolize-force.patch

* Thu Apr  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.74-2m)
- remove duplicated files

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.74-1m)
- update to 1.17
- enable selinux

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (1.70-2m)
- import from Fedora.

* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.69-5m)
- revised spec for rpm 4.2.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.63-3m)
- revised spec for rpm 4.2.

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.63-2m)
- rebuild against for XFree86-4.3.0

* Sun Jan  5 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.63-1m)
- version 1.63

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (1.53-2k)
- ver up.
- original tar ball provides consolehelper-gtk.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.43-8k)
- change requires.

* Sun Dec 02 2001 Motonobu Ichimura <famao@kondara.org>
- (1.43-6k)
- zh_CN.GB2312 => zh_CN

* Mon Nov 26 2001 Toru Hoshina <t@kondara.org>
- (1.43-4k)
- dont't use kontrol-panel anymore.

* Fri Oct 12 2001 Toru Hoshina <t@kondara.org>
- (1.43-2k)
- version up.

* Sat Sep  1 2001 Toru Hoshina <t@kondara.org>
- (1.36-10k)
- fixed system-auth again.

* Mon Aug  6 2001 Toru Hoshina <toru@df-usa.com>
- (1.36-8k)
- fixed system-auth issue.

* Fri Jun 22 2001 Toru Hoshina <toru@df-usa.com>
- /usr/sbin/shutdown is not there...

* Thu May 31 2001 Shingo Akagaki <dora@kondara.org>
- add -x11 package

* Fri Oct  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't pass on arguments to halt and reboot, because they error out

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the /usr/bin/shutdown wrapper so that root can call shutdown
- only include the /usr/bin/shutdown wrapper on 6.x
- also sanitize LC_MESSAGES
- tweak sanitizing checks (from mkj)

* Wed Oct  4 2000 Jakub Jelinek <jakub@redhat.com>
- fix a security bug with LC_ALL/LANG variables (#18046)

* Mon Aug 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- mark defined strings translateable (#17006)

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix incorrect user name
- add a shell wrapper version of /usr/bin/shutdown
- build for 6.x errata

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix stdin/stdout redirection shenanigans (#11706)
- fix authentication and execution as users other than root
- make sure the right descriptors are terminals before dup2()ing them
- cut out an extra-large CPU waster that breaks GUI apps

* Mon Aug 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix typo (#16664)

* Sun Aug 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- previous fix, part two

* Sat Aug 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix inadvertent breakage of the shell-changing code

* Fri Aug 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the "run unprivileged" option

* Mon Aug 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- actually use the right set of translations

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove the shutdown command from the list of honored commands

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- merge in updated translations
- set XAUTHORITY after successful authentication (#11006)

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- install translations
- fixup a messy text string
- make "Mount"/"Unmount" translatable
- stop prompting for passwords to shut down -- we can hit ctrl-alt-del anyway,
  and gdm users can just shut down without logging in

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- attempt to add i18n support

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- attempt to get a usable icon for userhelper-wrap (#13616, #13768)

* Wed Jul  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix them right this time

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix verbosity problems

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- strip all binaries by default
- add the name of the program being run to the userhelper dialog
- add a graphic to the userhelper-wrap package
- add a button to jump straight to nonprivileged operation when supported

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt to see if we get stripped binaries

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %%{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth
- bzip2 compress tarball

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.20-1).
- add -q at %setup.

* Fri Mar 17 2000 Ngo Than <than@redhat.de>
- fix problem with LANG and LC_ALL
- compress source with bzip2

* Thu Mar 09 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix problem parsing userhelper's -w flag with other args

* Wed Mar 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- ignore read() == 0 because the child exits

* Tue Mar 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- queue notice messages until we get prompts in userhelper to fix bug #8745

* Fri Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- free trip through the build system

* Tue Jan 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- grab keyboard input focus for dialogs

* Fri Jan 07 2000 Michael K. Johnson <johnsonm@redhat.com>
- The root exploit fix created a bug that only showed up in certain
  circumstances.  Unfortunately, we didn't test in those circumstances...

* Mon Jan 03 2000 Michael K. Johnson <johnsonm@redhat.com>
- fixed local root exploit

* Thu Sep 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed old complex broken gecos parsing, replaced with simple working parsing
- can now blank fields (was broken by previous fix for something else...)

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- FALLBACK/RETRY in consolehelper/userhelper
- session management fixed for consolehelper/userhelper SESSION=true
- fix memory leak and failure to close in error condition (#3614)
- fix various bugs where not all elements in userinfo got set

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- set $HOME when acting as consolehelper
- rebuild against new pwdb

* Tue Sep 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- honor "owner" flag to mount
- ask for passwords with username

* Tue Jul 06 1999 Bill Nottingham <notting@redhat.com>
- import pam_console wrappers from SysVinit, since they require usermode

* Mon Apr 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- even better check for X availability

* Wed Apr 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- better check for X availability
- center windows to make authentication easier (improve later with
  transients and embedded windows where possible)
- applink -> applnk
- added a little padding, especially important when running without
  a window manager, as happens when running from session manager at
  logout time

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- hm, need to be root...

* Fri Mar 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated userhelper.8 man page for consolehelper capabilities
- moved from wmconfig to desktop entries

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- added consolehelper
- Changed conversation architecture to follow PAM spec

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- remove gdk_input_remove (causing segfaults)

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix missing include files

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- use defattr
- fix spec file ( rm -rf $(RPM_BUILD_ROOT) is a stupid thing to do ! )

* Tue Oct 06 1998 Preston Brown <pbrown@redhat.com>
- fixed so that the close button on window managers quits the program properly

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- use gtk-config during build
- added make archive rule to Makefile
- uses a build root

* Fri Nov  7 1997 Otto Hammersmith <otto@redhat.com>
- new version that fixed memory leak bug.

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- updated version to fix bugs

* Fri Oct 17 1997 Otto Hammersmith <otto@redhat.com>
- Wrote man pages for userpasswd and userhelper.

* Tue Oct 14 1997 Otto Hammersmith <otto@redhat.com>
- Updated the packages... now includes userpasswd for changing passwords
  and newer versions of usermount and userinfo.  No known bugs or
  misfeatures. 
- Fixed the file list...

* Mon Oct 6 1997 Otto Hammersmith <otto@redhat.com>
- Created the spec file.
